#ifndef _KGR_PATCH_BSC1119947_AUTH_RPCGSS_H
#define _KGR_PATCH_BSC1119947_AUTH_RPCGSS_H

int kgr_patch_bsc1119947_auth_rpcgss_init(void);
void kgr_patch_bsc1119947_auth_rpcgss_cleanup(void);


struct svc_rqst;

int kgr_svcauth_gss_accept(struct svc_rqst *rqstp, __be32 *authp);
int kgr_svcauth_gss_release(struct svc_rqst *rqstp);

#define KGR_PATCH_BSC1119947_AUTH_RPCGSS_FUNCS				\
	KGR_PATCH_OBJ(svcauth_gss_accept, kgr_svcauth_gss_accept,	\
				"auth_rpcgss"),			\
	KGR_PATCH_OBJ(svcauth_gss_release, kgr_svcauth_gss_release,	\
				"auth_rpcgss"),			\


#endif /* _KGR_PATCH_BSC1119947_AUTH_RPCGSS_H */
